unit Childwin;

interface

uses WinProcs, Classes, Graphics, Forms, Controls, Procesor,
     SysUtils, StdCtrls, Buttons, Main { Main !!! };

type
  TMDIChild = class(TForm)
    Process: TChildProcess;
    Label1: TLabel;
    StartBtn: TSpeedButton;
    StopBtn: TSpeedButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ProcessProcess(Sender: TObject);
    procedure StartBtnClick(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
  private
    i: Integer;
  public
  end;

implementation

{$R *.DFM}

procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TMDIChild.ProcessProcess(Sender: TObject);
begin
  inc(i);
  Label1.Caption := 'Processed ' + IntToStr(i) + ' times...';
  { Any Operation }
  { ......... }
  Process.Ready; { OK. I'm Ready ! ;-) }
end;

procedure TMDIChild.StartBtnClick(Sender: TObject);
begin
  StopBtn.Visible := True;
  StartBtn.Visible := False;
  Process.Enabled := True;
end;

procedure TMDIChild.StopBtnClick(Sender: TObject);
begin
  StartBtn.Visible := True;
  StopBtn.Visible := False;
  Process.Enabled := False;
end;

end.
